[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: Bug#189566: amavisd-new: bad interaction with package amavis-ng

On Fri, Apr 18, 2003 at 09:33:01PM +0200, ernst.kloppenburg@gmx.de wrote:
> Package: amavisd-new
> Version: 20021227p2-5
> Severity: grave

Grave would seem to be a bit of an overkill? amavisd-new still works OK
for the majority of users...

> when 
>    - amavis-ng is installed (I used version, 
>    - and amavisd-new previously had been installed but now only its
>      config-files are present, 
> then 
>    the init-scripts of _both_ packages start the program
>    /usr/sbin/amavisd

I really don't know what to do about this bug. I think the
same thing has happened before with similar situations, but
I don't know what was decided.

Both init-scripts check for the existance of /usr/sbin/amavisd,
and assume it is their version of the program and will run it.

I believe amavis-ng and amavisd-new already conflict, so that isn't the

The problem is that when replacing amavis-ng with amavisd-new,
amavis-ng will leave behind /etc/init.d/<conffiles> that conflict with

Any ideas?
Brian May <bam@debian.org>

Reply to: